[Story] Monolingual text does not accept sr-cyrl and a number of other language codes
Open, NormalPublic

Description

It is possible to select sr-cyrl as a language code for a monolingual text value. However it is not possible to save a statement with it. An error occurs: sr-cyrl is not accepted as a language code.

Missing languages:

  • sr-cyrl
  • Talossan (tzl) T98314
  • Kvensk (fkv) T74590
  • Romani (rom) T74590
  • Scandoromani (rmg-variant) T74590
  • Cape Verdean Creole (kea) (link) T127435
  • Finnish Swedish (sv-fi) (link)
  • Korean (Hanja) (ko-kore?) (link)
  • Koyukon (koy) (link)
  • Lakota (lkt) (link)
  • Old High German (goh) (link)
  • Ladin (lld)
  • Etruscan (ett)

See Also:
T74590: [Bug] Monolingual code is missing for Kvensk (fkv), Romani (rom) and Scandoromani (rmg-variant)

Details

Reference
bz72126

Related Objects

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz72126.
bzimport added a subscriber: Unknown Object (MLST).

The same problem for smj language code. It is possible to select the language but not to save the statement afterwards.

Note that sr-cyrl is a variant of sr, while smj is a normal language code. This could imply that there are two bugs, but I suspect that it is not.

If all codes that is non-supported by the localization fails, then that is perhaps an indication where the bug bites?

The language code sma works, it is Souther Sami Language (https://en.wikipedia.org/wiki/Southern_Sami_language) which is a very small language spoken by 500-2000 people.

This is a more complicated problem. We are using two sources for the languages. Frontend uses ULS because this is much more convenient for the user:

core/extensions/UniversalLanguageSelector/lib/jquery.uls/data/langdb.yaml

Backend uses a core feature:

core/languages/Names.php

These lists are different. Very, very different, actually. I can't say why, at the moment. So yes, we are aware that this situation clearly needs to be improved.

I think it is important to fix this for the mono-/multilingual text as it create a situation where official names in some official languages can't be given. This is the case for Norway, where we can't give the official name in some of the recognized minority languages.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).

This issue has nothing to do with the Norwegian languages, because they are not supported by either of the data source we have at hand.

https://github.com/wmde/ValueView/pull/144 makes the language lists used by the frontend and the backend match. That does not add support for the mentioned languages, but it at least makes behavior consistent.

adrianheine set Security to None.

https://github.com/wmde/ValueView/pull/144 is merged, so now this is about the language code not being accepted at all.

Another language code not currently accepted is lld (Ladin language, Q36202, spoken by some 30.000 people on the Dolomiti mountains in Italy)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2015, 2:37 AM
daniel added a subscriber: daniel.Oct 8 2015, 11:13 AM

It should be possible to allow the extra languages by adding them to $wgExtraLanguageNames.

matej_suchanek renamed this task from monolingual text does not accept sr-cyrl and a number of other language codes to [Story] Monolingual text does not accept sr-cyrl and a number of other language codes.Oct 11 2015, 1:21 PM
matej_suchanek updated the task description. (Show Details)

I'm really lacking an Etruscan support (ett). There's a good deal of ancient italian location/city-state that bears an Etruscan name or has an Etruscan etymology (Rome, to say the least…)…

matej_suchanek removed a subscriber: Wikidata-bugs.
Restricted Application added subscribers: revi, Josve05a. · View Herald TranscriptNov 28 2015, 10:47 AM

This following bug will most likely be fixed when the following few lines are added to the Names.php file.
The lines that needs to be added are:

	'ett' => 'mechl Rasnal',	# Etruscan
	'fkv' => 'kvääni',	# Kven
	'goh' => 'diutisk',	# Old High German
	'kea' => 'Kabuverdianu',	# Cape Verdean Creole
	'koy' => 'Denaakkenaageʼ',	# Koyukon
	'lkt' => 'Lakȟótiyapi',	# Lakota
	'lld' => 'Ladin',	# Ladin
	'rmg' => 'tavringens rakripa',	# Traveller Norwegian
	'smj' => 'julevsámegiella',	# Lule Sami
	'tzl' => 'Talossan',	# Talossan

I do not know how to add those lines myself, so maybe somebody else can add this line for us all.

hoo added a subscriber: hoo.Feb 19 2016, 4:20 PM
Candalua updated the task description. (Show Details)Feb 22 2016, 10:19 AM